ambix_info_t Struct Reference

`#include <ambix.h>`

## Public Attributes

uint64_t | frames
double | samplerate
ambix_sampleformat_t | sampleformat
ambix_fileformat_t | fileformat
uint32_t | extrachannels
uint32_t | ambichannels

## Detailed Description

this is for passing data about the opened ambix file between the host application and the library

## Member Data Documentation

## ambichannels

uint32_t ambix_info_t::ambichannels

number of (raw) ambisonics channels present in the file.

If the file contains a full set of ambisonics channels (format==AMBIX_BASIC), then \(ambichannel=(order_{ambi}+1)^2\); if the file contains an adaptor matrix, it has to be used to reconstruct the full set by multiplying the adaptor matrix with the channels present.

Remarks
  when opening for WRITING an AMBIX_EXTENDED file as AMBIX_BASIC (by specifying an adaptor matrix via ambix_set_adaptormatrix()), this value must contain the reduced numer of channels (as stored on disk).

## extrachannels

uint32_t ambix_info_t::extrachannels

number of non-ambisonics channels in the file

Remarks
  think of a better name, like 'uncodedchannels'

## fileformat

ambix_fileformat_t ambix_info_t::fileformat

layout type of the ambix file

When opening a file, this format specifies the format from the user-perspective. This is not necessarily the same as the actual format of the file on disk. E.g. when setting this to AMBIX_BASIC to read an AMBIX_EXTENDED file, the library will automatically convert the reduced channel set to the full set (using the embedded adaptor matrix). Similarly, when setting this to AMBIX_BASIC for writing a file, and then setting an adaptor matrix (using ambix_set_adaptormatrix()) the actual file will be AMBIX_EXTENDED, but the user has to provide the full set (and the library will store the reduced set).

## frames

uint64_t ambix_info_t::frames

number of frames in the file

## sampleformat

ambix_sampleformat_t ambix_info_t::sampleformat

sample type of the ambix file

## samplerate

double ambix_info_t::samplerate

samplerate in Hz

The documentation for this struct was generated from the following file:

- ambix/ambix.h